View Issue Details

IDProjectCategoryView StatusLast Update
0001687NoesisGUIC# SDKpublic2020-06-11 18:33
Reporterdarthmaule2Assigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.0 
Target Version3.0.2Fixed in Version3.0.2 
Summary0001687: Cannot add both DropShadow effect and background to the same control
DescriptionI have a UserControl which defines a Time/Date spinner control. If set the UserControl's Effect and Background properties, then the control simply does not show up. So, I had to set the background on the UserControl and the Effect on the child Grid to get it to work.

The same thing happens if I try to set both on the child Grid, the entire control is not rendered (all I see is the background).

<UserControl x:Class="Controls.DateTimeControl.DateTimeSpinner"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:noesis="clr-namespace:NoesisGUIExtensions;assembly=Noesis.GUI.Extensions"
             xmlns:local="clr-namespace:Controls.DateTimeControl">
    <UserControl.Background>
        <SolidColorBrush Color="Black" Opacity=".5"></SolidColorBrush>
    </UserControl.Background>
    <UserControl.Resources>
         <!-- Control resources and styles here -->
    </UserControl.Resources>
    <Grid Effect="{StaticResource StandardDropShadow}" Focusable="True" FocusVisualStyle="{x:Null}" Background="Transparent" PreviewKeyDown="OnPreviewKeyDown" Loaded="OnLoaded" Height="200" Width="800" HorizontalAlignment="Center" VerticalAlignment="Center">
         <!-- Control defined here -->
    </Grid>
</UserControl>
Steps To ReproduceIn above description
TagsNo tags attached.
PlatformWindows

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-05-18 14:51 darthmaule2 New Issue
2020-05-20 10:43 jsantos Target Version => 3.0
2020-05-20 10:43 jsantos Assigned To => sfernandez
2020-05-20 10:43 jsantos Status new => assigned
2020-06-11 18:33 sfernandez Status assigned => resolved
2020-06-11 18:33 sfernandez Resolution open => fixed
2020-06-11 18:33 sfernandez Product Version 3.0 => 3.0.0
2020-06-11 18:33 sfernandez Fixed in Version => 3.0.2
2020-06-11 18:33 sfernandez Target Version 3.0 => 3.0.2